#include <ncurses.h>
#include <string>
#include <vector>
#ifndef __UI_HPP_
#define __UI_HPP_

namespace ui {
    extern int g_maxLines, g_maxCols, g_begCol, g_begLine, g_menuWith;
    //int8_t error;
    extern bool g_mensaje;

    int8_t initUI(const int8_t *menu_principal, const int8_t *menu_error);

    void closeUI();
    std::vector<std::string> showCentralInputBox(std::vector<std::string> *textos, const int8_t *num_box, std::vector<std::string> *elems, const int8_t *color_error);
    std::vector<std::string> showCentralInputBox(std::vector<std::string> *textos, const int8_t *num_box, std::vector<std::string> *elems, long title_size, const int8_t *color_error);
    void showCenterMensaje(std::vector<std::string> *mensaje, const int8_t *menu_color);
    void showTopTitle(const std::vector<std::string> *titulo);
} // namespace ui
#endif // __UI_HPP_
